Description

It would be extremely useful if QGIS Desktop used the raster band names (when available) in, for example, the layer styling band

selection and histogram menus. Perhaps a tick box in the general options.

Associated revisions

Revision b86f84ed - 2018-10-09 06:36 AM - AndrewAnnex 

Use raster band names in QGIS [FEATURE] [needs-docs]

    -  fixes #16047

    -  extracts band name info using gdalapi in QgsGdalProvider

    -  added configuration option to allowing user to select band name behavior

    -  currently 5 ways including current default behavior: #, name, name (#), # (name), _DIM_EXTRA metadata

History

#1 - 2017-05-01 12:44 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2018-10-09 06:35 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b86f84edb5f40c3bf1275f3f2511b2d315e5f88b.
